---
title: Rating Scale
product: Form Library
description: Learn how to configure a Rating Scale question using various representation options, including numbers, stars, smileys, or any custom labels of your choice. View a free demo for JavaScript to learn more.
framework: Vanilla JS
source: https://surveyjs.io/form-library/examples/rating-scale/vanillajs
index: https://surveyjs.io/form-library/examples/overview.md
---

# Rating Scale (Vanilla JS)

A Rating Scale question asks respondents to evaluate a particular characteristic of a product or service on a predefined scale. The scale can display a range of numbers, graphic symbols (stars, emojis), or descriptive terms that represent different degrees of agreement, satisfaction, or other subjective measures. This example demonstrates how to add a Rating Scale question to your survey or form and configures the question's scale values and appearance.

## Create a Rating Scale Question

To add a Rating Scale question to your survey or form, define an object with the `type` property set to `"rating"` and add it to the [`elements`](https://surveyjs.io/form-library/documentation/pagemodel#elements) array. Within this object, specify the question's [`title`](https://surveyjs.io/form-library/documentation/api-reference/rating-scale-question-model#title) and a unique [`name`](https://surveyjs.io/form-library/documentation/api-reference/rating-scale-question-model#name) that identifies the question. Optionally, you can specify a [`description`](https://surveyjs.io/form-library/documentation/api-reference/rating-scale-question-model#description) to place under the `title`.

## Generate or Specify Scale Values

The following properties allow you to generate rate scale values:

- [`rateMin`](https://surveyjs.io/form-library/documentation/api-reference/rating-scale-question-model#rateMin): `Number`\
The first value in the generated sequence of rate values.
- [`rateMax`](https://surveyjs.io/form-library/documentation/api-reference/rating-scale-question-model#rateMax): `Number`\
The last value in the generated sequence of rate values.
- [`rateCount`](https://surveyjs.io/form-library/documentation/api-reference/rating-scale-question-model#rateCount): `Number`\
The number of rate values you want to generate.
- [`rateStep`](https://surveyjs.io/form-library/documentation/api-reference/rating-scale-question-model#rateStep): `Number`\
A step with which to generate rate values.

You can combine these properties as required. The following code snippets show combination examples and results they produce:

```js
{ "rateMin": 1, "rateMax": 10 } // [ 1, 2, 3, 4, 5, 6, 7, 8, 9, 10 ]
{ "rateMin": 0, "rateMax": 10, "rateStep": 2 } // [ 0, 2, 4, 6, 8, 10 ]
{ "rateMin": 0, "rateCount": 6, "rateStep": 20 } // [ 0, 20, 40, 60, 80, 100 ]
```

If you want to define specific rate scale values, set them in the [`rateValues`](https://surveyjs.io/form-library/documentation/api-reference/rating-scale-question-model#rateValues) array. It can contain numbers or objects with the `value` and `text` properties. Note that the `rateValues` array overrides the auto-generation properties described above.

## Use Star or Smiley Face Rating Scale

SurveyJS Rating Scale question enables you to represent scale values using graphical symbols, such as stars or smiley faces. A star rating scale offers respondents a series of stars to rate your service or product. Set the [`rateType`](https://surveyjs.io/form-library/documentation/api-reference/rating-scale-question-model#rateType) property to `"stars"` to activate this scale type.

A smiley face rating scale uses two to ten emojis to help your customers convey their feelings about your product. To display smileys as scale values, set the `rateType` property to `"smileys"`. Depending on the [`scaleColorMode`](https://surveyjs.io/form-library/documentation/api-reference/rating-scale-question-model#scaleColorMode) property value, smileys can be monochrome (default) or colored. You can also set the [`rateColorMode`](https://surveyjs.io/form-library/documentation/api-reference/rating-scale-question-model#rateColorMode) property to specify the color of the selected emoji: `"default"` to use the default survey color or `"scale"` to inherit the color from the scale.

## Files

### `public/index.html`

```html
<div id="surveyElement" style="position: absolute; top: 0; left: 0; right: 0; bottom: 0; min-height: 100%; height:100%"></div>
```

### `src/index.css`

```css
/* You can add your custom CSS here. */
```

### `src/index.js`

```js
import { Model } from "survey-core";
import "survey-js-ui";
import "survey-core/survey-core.min.css";
import "./index.css";
import { json } from "./json";

const survey = new Model(json);
survey.onComplete.add((sender, options) => {
    console.log(JSON.stringify(sender.data, null, 3));
});

survey.render(document.getElementById("surveyElement"));
```

### `src/json.js`

```js
export const json = {
  "pages": [
    {
      "name": "page1",
      "elements": [
        {
          "type": "rating",
          "name": "satisfaction-numeric",
          "title": "How satisfied are you with our product?",
          "description": "Numeric rating scale",
          "rateValues": [ 1, 2, 3, 4, 5, 6, 7, 8, 9, 10 ]
        },
        {
          "type": "rating",
          "name": "satisfaction-stars",
          "title": "How satisfied are you with our product?",
          "description": "Star rating scale",
          "rateType": "stars",
          "rateCount": 10,
          "rateMax": 10,
          "displayMode": "buttons"
        },
        {
          "type": "rating",
          "name": "satisfaction-smileys-monochrome",
          "title": "How satisfied are you with our product?",
          "description": "Smiley rating with monochrome scale",
          "rateType": "smileys",
          "rateCount": 10,
          "rateMax": 10,
          "displayMode": "buttons"
        },
        {
          "type": "rating",
          "name": "satisfaction-smileys-colored",
          "title": "How satisfied are you with our product?",
          "description": "Smiley rating with colored scale",
          "rateType": "smileys",
          "scaleColorMode": "colored",
          "rateCount": 10,
          "rateMax": 10,
          "displayMode": "buttons"
        }
      ]
    }
  ]
};
```

### `src/theme.js`

```js
export const themeJson = {};
```

### `package.json`

```json
{
  "dependencies": {
    "survey-core": "latest",
    "survey-js-ui": "latest"
  }
}
```

## Other Frameworks

- [Angular](https://surveyjs.io/form-library/examples/rating-scale/angular.md)
- [React](https://surveyjs.io/form-library/examples/rating-scale/reactjs.md)
- [Vue 3](https://surveyjs.io/form-library/examples/rating-scale/vue3js.md)
- [jQuery](https://surveyjs.io/form-library/examples/rating-scale/jquery.md)


---
title: Rating Scale
product: Form Library
description: Learn how to configure a Rating Scale question using various representation options, including numbers, stars, smileys, or any custom labels of your choice. View a free demo for JavaScript to learn more.
framework: React
source: https://surveyjs.io/form-library/examples/rating-scale/reactjs
index: https://surveyjs.io/form-library/examples/overview.md
---

# Rating Scale (React)

A Rating Scale question asks respondents to evaluate a particular characteristic of a product or service on a predefined scale. The scale can display a range of numbers, graphic symbols (stars, emojis), or descriptive terms that represent different degrees of agreement, satisfaction, or other subjective measures. This example demonstrates how to add a Rating Scale question to your survey or form and configures the question's scale values and appearance.

## Create a Rating Scale Question

To add a Rating Scale question to your survey or form, define an object with the `type` property set to `"rating"` and add it to the [`elements`](https://surveyjs.io/form-library/documentation/pagemodel#elements) array. Within this object, specify the question's [`title`](https://surveyjs.io/form-library/documentation/api-reference/rating-scale-question-model#title) and a unique [`name`](https://surveyjs.io/form-library/documentation/api-reference/rating-scale-question-model#name) that identifies the question. Optionally, you can specify a [`description`](https://surveyjs.io/form-library/documentation/api-reference/rating-scale-question-model#description) to place under the `title`.

## Generate or Specify Scale Values

The following properties allow you to generate rate scale values:

- [`rateMin`](https://surveyjs.io/form-library/documentation/api-reference/rating-scale-question-model#rateMin): `Number`\
The first value in the generated sequence of rate values.
- [`rateMax`](https://surveyjs.io/form-library/documentation/api-reference/rating-scale-question-model#rateMax): `Number`\
The last value in the generated sequence of rate values.
- [`rateCount`](https://surveyjs.io/form-library/documentation/api-reference/rating-scale-question-model#rateCount): `Number`\
The number of rate values you want to generate.
- [`rateStep`](https://surveyjs.io/form-library/documentation/api-reference/rating-scale-question-model#rateStep): `Number`\
A step with which to generate rate values.

You can combine these properties as required. The following code snippets show combination examples and results they produce:

```js
{ "rateMin": 1, "rateMax": 10 } // [ 1, 2, 3, 4, 5, 6, 7, 8, 9, 10 ]
{ "rateMin": 0, "rateMax": 10, "rateStep": 2 } // [ 0, 2, 4, 6, 8, 10 ]
{ "rateMin": 0, "rateCount": 6, "rateStep": 20 } // [ 0, 20, 40, 60, 80, 100 ]
```

If you want to define specific rate scale values, set them in the [`rateValues`](https://surveyjs.io/form-library/documentation/api-reference/rating-scale-question-model#rateValues) array. It can contain numbers or objects with the `value` and `text` properties. Note that the `rateValues` array overrides the auto-generation properties described above.

## Use Star or Smiley Face Rating Scale

SurveyJS Rating Scale question enables you to represent scale values using graphical symbols, such as stars or smiley faces. A star rating scale offers respondents a series of stars to rate your service or product. Set the [`rateType`](https://surveyjs.io/form-library/documentation/api-reference/rating-scale-question-model#rateType) property to `"stars"` to activate this scale type.

A smiley face rating scale uses two to ten emojis to help your customers convey their feelings about your product. To display smileys as scale values, set the `rateType` property to `"smileys"`. Depending on the [`scaleColorMode`](https://surveyjs.io/form-library/documentation/api-reference/rating-scale-question-model#scaleColorMode) property value, smileys can be monochrome (default) or colored. You can also set the [`rateColorMode`](https://surveyjs.io/form-library/documentation/api-reference/rating-scale-question-model#rateColorMode) property to specify the color of the selected emoji: `"default"` to use the default survey color or `"scale"` to inherit the color from the scale.

## Files

### `public/index.html`

```html
<div id="surveyElement" style="position: absolute; top: 0; left: 0; right: 0; bottom: 0; min-height: 100%; height:100%"></div>
```

### `src/SurveyComponent.jsx`

```js
import React from "react";
import { Model } from "survey-core";
import { Survey } from "survey-react-ui";
import "survey-core/survey-core.min.css";
import "./index.css";
import { json } from "./json";

function SurveyComponent() {
    const survey = new Model(json);
    survey.onComplete.add((sender, options) => {
        console.log(JSON.stringify(sender.data, null, 3));
    });
    return (<Survey model={survey} />);
}

export default SurveyComponent;
```

### `src/index.css`

```css
/* You can add your custom CSS here. */
```

### `src/index.js`

```js
import React from "react";
import { createRoot } from "react-dom/client";
import SurveyComponent from "./SurveyComponent";

const root = createRoot(document.getElementById("surveyElement"));
root.render(<SurveyComponent />);
```

### `src/json.js`

```js
export const json = {
  "pages": [
    {
      "name": "page1",
      "elements": [
        {
          "type": "rating",
          "name": "satisfaction-numeric",
          "title": "How satisfied are you with our product?",
          "description": "Numeric rating scale",
          "rateValues": [ 1, 2, 3, 4, 5, 6, 7, 8, 9, 10 ]
        },
        {
          "type": "rating",
          "name": "satisfaction-stars",
          "title": "How satisfied are you with our product?",
          "description": "Star rating scale",
          "rateType": "stars",
          "rateCount": 10,
          "rateMax": 10,
          "displayMode": "buttons"
        },
        {
          "type": "rating",
          "name": "satisfaction-smileys-monochrome",
          "title": "How satisfied are you with our product?",
          "description": "Smiley rating with monochrome scale",
          "rateType": "smileys",
          "rateCount": 10,
          "rateMax": 10,
          "displayMode": "buttons"
        },
        {
          "type": "rating",
          "name": "satisfaction-smileys-colored",
          "title": "How satisfied are you with our product?",
          "description": "Smiley rating with colored scale",
          "rateType": "smileys",
          "scaleColorMode": "colored",
          "rateCount": 10,
          "rateMax": 10,
          "displayMode": "buttons"
        }
      ]
    }
  ]
};
```

### `src/theme.js`

```js
export const themeJson = {};
```

### `package.json`

```json
{
  "dependencies": {
    "react": "latest",
    "react-dom": "latest",
    "survey-core": "latest",
    "survey-react-ui": "latest"
  },
  "devDependencies": {
    "react-scripts": "latest"
  }
}
```

## Other Frameworks

- [Angular](https://surveyjs.io/form-library/examples/rating-scale/angular.md)
- [Vue 3](https://surveyjs.io/form-library/examples/rating-scale/vue3js.md)
- [jQuery](https://surveyjs.io/form-library/examples/rating-scale/jquery.md)
- [Vanilla JS](https://surveyjs.io/form-library/examples/rating-scale/vanillajs.md)


---
title: Rating Scale
product: Form Library
description: Learn how to configure a Rating Scale question using various representation options, including numbers, stars, smileys, or any custom labels of your choice. View a free demo for JavaScript to learn more.
framework: Angular
source: https://surveyjs.io/form-library/examples/rating-scale/angular
index: https://surveyjs.io/form-library/examples/overview.md
---

# Rating Scale (Angular)

A Rating Scale question asks respondents to evaluate a particular characteristic of a product or service on a predefined scale. The scale can display a range of numbers, graphic symbols (stars, emojis), or descriptive terms that represent different degrees of agreement, satisfaction, or other subjective measures. This example demonstrates how to add a Rating Scale question to your survey or form and configures the question's scale values and appearance.

## Create a Rating Scale Question

To add a Rating Scale question to your survey or form, define an object with the `type` property set to `"rating"` and add it to the [`elements`](https://surveyjs.io/form-library/documentation/pagemodel#elements) array. Within this object, specify the question's [`title`](https://surveyjs.io/form-library/documentation/api-reference/rating-scale-question-model#title) and a unique [`name`](https://surveyjs.io/form-library/documentation/api-reference/rating-scale-question-model#name) that identifies the question. Optionally, you can specify a [`description`](https://surveyjs.io/form-library/documentation/api-reference/rating-scale-question-model#description) to place under the `title`.

## Generate or Specify Scale Values

The following properties allow you to generate rate scale values:

- [`rateMin`](https://surveyjs.io/form-library/documentation/api-reference/rating-scale-question-model#rateMin): `Number`\
The first value in the generated sequence of rate values.
- [`rateMax`](https://surveyjs.io/form-library/documentation/api-reference/rating-scale-question-model#rateMax): `Number`\
The last value in the generated sequence of rate values.
- [`rateCount`](https://surveyjs.io/form-library/documentation/api-reference/rating-scale-question-model#rateCount): `Number`\
The number of rate values you want to generate.
- [`rateStep`](https://surveyjs.io/form-library/documentation/api-reference/rating-scale-question-model#rateStep): `Number`\
A step with which to generate rate values.

You can combine these properties as required. The following code snippets show combination examples and results they produce:

```js
{ "rateMin": 1, "rateMax": 10 } // [ 1, 2, 3, 4, 5, 6, 7, 8, 9, 10 ]
{ "rateMin": 0, "rateMax": 10, "rateStep": 2 } // [ 0, 2, 4, 6, 8, 10 ]
{ "rateMin": 0, "rateCount": 6, "rateStep": 20 } // [ 0, 20, 40, 60, 80, 100 ]
```

If you want to define specific rate scale values, set them in the [`rateValues`](https://surveyjs.io/form-library/documentation/api-reference/rating-scale-question-model#rateValues) array. It can contain numbers or objects with the `value` and `text` properties. Note that the `rateValues` array overrides the auto-generation properties described above.

## Use Star or Smiley Face Rating Scale

SurveyJS Rating Scale question enables you to represent scale values using graphical symbols, such as stars or smiley faces. A star rating scale offers respondents a series of stars to rate your service or product. Set the [`rateType`](https://surveyjs.io/form-library/documentation/api-reference/rating-scale-question-model#rateType) property to `"stars"` to activate this scale type.

A smiley face rating scale uses two to ten emojis to help your customers convey their feelings about your product. To display smileys as scale values, set the `rateType` property to `"smileys"`. Depending on the [`scaleColorMode`](https://surveyjs.io/form-library/documentation/api-reference/rating-scale-question-model#scaleColorMode) property value, smileys can be monochrome (default) or colored. You can also set the [`rateColorMode`](https://surveyjs.io/form-library/documentation/api-reference/rating-scale-question-model#rateColorMode) property to specify the color of the selected emoji: `"default"` to use the default survey color or `"scale"` to inherit the color from the scale.

## Files

### `src/app/components/json.ts`

```ts
export const json = {
  "pages": [
    {
      "name": "page1",
      "elements": [
        {
          "type": "rating",
          "name": "satisfaction-numeric",
          "title": "How satisfied are you with our product?",
          "description": "Numeric rating scale",
          "rateValues": [ 1, 2, 3, 4, 5, 6, 7, 8, 9, 10 ]
        },
        {
          "type": "rating",
          "name": "satisfaction-stars",
          "title": "How satisfied are you with our product?",
          "description": "Star rating scale",
          "rateType": "stars",
          "rateCount": 10,
          "rateMax": 10,
          "displayMode": "buttons"
        },
        {
          "type": "rating",
          "name": "satisfaction-smileys-monochrome",
          "title": "How satisfied are you with our product?",
          "description": "Smiley rating with monochrome scale",
          "rateType": "smileys",
          "rateCount": 10,
          "rateMax": 10,
          "displayMode": "buttons"
        },
        {
          "type": "rating",
          "name": "satisfaction-smileys-colored",
          "title": "How satisfied are you with our product?",
          "description": "Smiley rating with colored scale",
          "rateType": "smileys",
          "scaleColorMode": "colored",
          "rateCount": 10,
          "rateMax": 10,
          "displayMode": "buttons"
        }
      ]
    }
  ]
};
```

### `src/app/components/survey.component.css`

```css
/* You can add your custom CSS here. */
```

### `src/app/components/survey.component.html`

```html
<survey [model]="model" style="position: absolute; top: 0; left: 0; right: 0; bottom: 0; height:100%"></survey>
```

### `src/app/components/survey.component.ts`

```ts
import { Component, OnInit } from "@angular/core";
import { Model } from "survey-core";
import { json } from "./json";
import "./survey.component.css";
import "survey-core/survey-core.min.css";

@Component({
    // tslint:disable-next-line:component-selector
    selector: "component-survey",
    templateUrl: "./survey.component.html",
    styleUrls: ["./survey.component.css"]
})
export class SurveyComponent implements OnInit {
    model: Model;
    ngOnInit() {
        const survey = new Model(json);
        survey.onComplete.add((sender, options) => {
            console.log(JSON.stringify(sender.data, null, 3));
        });
        this.model = survey;
    }
}
```

### `src/app/components/theme.ts`

```ts
export const themeJson = {};
```

### `src/app/app.component.css`

```css

```

### `src/app/app.component.html`

```html
<component-survey></component-survey>
```

### `src/app/app.component.ts`

```ts
import { Component } from "@angular/core";

@Component({
    selector: "app-root",
    templateUrl: "./app.component.html",
    styleUrls: ["./app.component.css"]
})
export class AppComponent {
    title = "CodeSandbox";
}
```

### `src/app/app.module.ts`

```ts
import { BrowserModule } from "@angular/platform-browser";
import { NgModule } from "@angular/core";

import { AppComponent } from "./app.component";
import { SurveyModule } from "survey-angular-ui";
import { SurveyComponent } from "./components/survey.component";

@NgModule({
    declarations: [AppComponent, SurveyComponent],
    imports: [BrowserModule, SurveyModule],
    providers: [],
    bootstrap: [AppComponent]
})
export class AppModule { }
```

### `src/environments/environment.prod.ts`

```ts
export const environment = {
    production: true
};
```

### `src/environments/environment.ts`

```ts
// The file contents for the current environment will overwrite these during build.
// The build system defaults to the dev environment which uses `environment.ts`, but if you do
// `ng build --env=prod` then `environment.prod.ts` will be used instead.
// The list of which env maps to which file can be found in `.angular-cli.json`.

export const environment = {
    production: false
};
```

### `src/index.html`

```html
<app-root></app-root>
```

### `src/main.ts`

```ts
import { enableProdMode } from "@angular/core";
import { platformBrowserDynamic } from "@angular/platform-browser-dynamic";

import { AppModule } from "./app/app.module";
import { environment } from "./environments/environment";

if (environment.production) {
    enableProdMode();
}

platformBrowserDynamic()
    .bootstrapModule(AppModule)
    .catch(err => console.log(err));
```

### `src/polyfills.ts`

```ts
/**
 * This file includes polyfills needed by Angular and is loaded before the app.
 * You can add your own extra polyfills to this file.
 *
 * This file is divided into 2 sections:
 *   1. Browser polyfills. These are applied before loading ZoneJS and are sorted by browsers.
 *   2. Application imports. Files imported after ZoneJS that should be loaded before your main
 *      file.
 *
 * The current setup is for so-called "evergreen" browsers; the last versions of browsers that
 * automatically update themselves. This includes Safari >= 10, Chrome >= 55 (including Opera),
 * Edge >= 13 on the desktop, and iOS 10 and Chrome on mobile.
 *
 * Learn more in https://angular.io/docs/ts/latest/guide/browser-support.html
 */

/***************************************************************************************************
 * BROWSER POLYFILLS
 */

/** IE9, IE10 and IE11 requires all of the following polyfills. **/
// import 'core-js/es6/symbol';
// import 'core-js/es6/object';
// import 'core-js/es6/function';
// import 'core-js/es6/parse-int';
// import 'core-js/es6/parse-float';
// import 'core-js/es6/number';
// import 'core-js/es6/math';
// import 'core-js/es6/string';
// import 'core-js/es6/date';
// import 'core-js/es6/array';
// import 'core-js/es6/regexp';
// import 'core-js/es6/map';
// import 'core-js/es6/weak-map';
// import 'core-js/es6/set';

/** IE10 and IE11 requires the following for NgClass support on SVG elements */
// import 'classlist.js';  // Run `npm install classlist.js`.

/** IE10 and IE11 requires the following for the Reflect API. */
// import 'core-js/es6/reflect';

/** Evergreen browsers require these. **/
// Used for reflect-metadata in JIT. If you use AOT (and only Angular decorators), you can remove.
import "core-js/proposals/reflect-metadata";

/**
 * Required to support Web Animations `@angular/platform-browser/animations`.
 * Needed for: All but Chrome, Firefox and Opera. http://caniuse.com/#feat=web-animation
 **/
// import 'web-animations-js';  // Run `npm install web-animations-js`.

/***************************************************************************************************
 * Zone JS is required by default for Angular itself.
 */
import "zone.js/dist/zone"; // Included with Angular CLI.

/***************************************************************************************************
 * APPLICATION IMPORTS
 */
```

### `src/styles.css`

```css
/* You can add your custom CSS here. */
```

### `src/typings.d.ts`

```ts
/* SystemJS module definition */
declare var module: NodeModule;
interface NodeModule {
    id: string;
}
```

### `.angular-cli.json`

```json
{
  "apps": [
    {
      "root": "src",
      "outDir": "dist",
      "assets": [ "assets", "favicon.ico" ],
      "index": "index.html",
      "main": "main.ts",
      "polyfills": "polyfills.ts",
      "prefix": "app",
      "styles": [ "styles.css" ],
      "scripts": [ ],
      "environmentSource": "environments/environment.ts",
      "environments": {
        "dev": "environments/environment.ts",
        "prod": "environments/environment.prod.ts"
      }
    }
  ]
}
```

### `_tsconfig.json`

```json
{
  "compileOnSave": false,
  "compilerOptions": {
    "baseUrl": "./",
    "outDir": "./dist/out-tsc",
    "sourceMap": true,
    "declaration": false,
    "allowSyntheticDefaultImports": true,
    "downlevelIteration": true,
    "experimentalDecorators": true,
    "moduleResolution": "node",
    "importHelpers": true,
    "resolveJsonModule": true,
    "target": "es2015",
    "module": "es2020",
    "lib": [
      "es2018",
      "dom"
    ]
  }
}
```

### `package.json`

```json
{
  "name": "surveyjs-angular",
  "scripts": {
    "ng": "ng",
    "start": "ng serve",
    "build": "ng build --prod",
    "test": "ng test",
    "lint": "ng lint",
    "e2e": "ng e2e"
  },
  "private": true,
  "dependencies": {
    "@angular/animations": "14.1.1",
    "@angular/cdk": "14.1.1",
    "@angular/common": "14.1.1",
    "@angular/compiler": "14.1.1",
    "@angular/core": "14.1.1",
    "@angular/forms": "14.1.1",
    "@angular/platform-browser": "14.1.1",
    "@angular/platform-browser-dynamic": "14.1.1",
    "@angular/router": "14.1.1",
    "core-js": "3.6.4",
    "rxjs": "6.5.4",
    "survey-core": "latest",
    "survey-angular-ui": "latest",
    "tslib": "1.13.0",
    "zone.js": "0.11.7"
  },
  "devDependencies": {
    "@angular/cli": "1.6.6",
    "@angular/compiler-cli": "^5.2.0",
    "@angular/language-service": "^5.2.0",
    "@types/core-js": "0.9.46",
    "@types/jasmine": "~2.8.3",
    "@types/jasminewd2": "~2.0.2",
    "@types/node": "~6.0.60",
    "codelyzer": "^4.0.1",
    "jasmine-core": "~2.8.0",
    "jasmine-spec-reporter": "~4.2.1",
    "karma": "~2.0.0",
    "karma-chrome-launcher": "~2.2.0",
    "karma-coverage-istanbul-reporter": "^1.2.1",
    "karma-jasmine": "~1.1.0",
    "karma-jasmine-html-reporter": "^0.2.2",
    "protractor": "~5.1.2",
    "ts-node": "~4.1.0",
    "tslint": "~5.9.1",
    "typescript": "3.9.7"
  },
  "keywords": [ "angular", "surveyjs" ],
  "description": "SurveyJS-Angular example project"
}
```

## Other Frameworks

- [React](https://surveyjs.io/form-library/examples/rating-scale/reactjs.md)
- [Vue 3](https://surveyjs.io/form-library/examples/rating-scale/vue3js.md)
- [jQuery](https://surveyjs.io/form-library/examples/rating-scale/jquery.md)
- [Vanilla JS](https://surveyjs.io/form-library/examples/rating-scale/vanillajs.md)
